### Function

# Gimp text_layer_set_font

#### Declaration [src]

    gboolean
    gimp_text_layer_set_font (
      GimpLayer* layer,
      const gchar* font
    )

#### Description [src]

Set the font of a text layer.

This procedure modifies the font used in the specified text layer.

Available since: | 2.6

#### Parameters

`layer` | `GimpLayer`
| The text layer.
| The data is owned by the caller of the function.
`font` | `const gchar*`
| The new font to use.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| TRUE on success.